//
//  SynthesizerOutput.h
//  AnalogSynthesizer
//
//  Created by 成田 拓郎 on 10/05/28.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "AudioOutput.h"

@interface SynthesizerOutput : AudioOutput {
	// キーボード
	UInt32 keyboard;

	// 基本波形
	float wave[SAMPLE_RATE];
	// バッファ
	float buffer[SAMPLE_RATE];

	//再生情報
	float outPhase[25]; // 位相
	float outLevel[25]; // 出力レベル
}

@property UInt32 keyboard;

@end
